Get exchange rates
curl --request GET \
--url https://www.ruddr.io/api/workspace/exchange-rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/exchange-rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/exchange-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2026-02-25",
"fromCurrency": "USD",
"rates": [
{
"currency": "AED",
"rate": 3.6725
},
{
"currency": "ARS",
"rate": 1397.5059
},
{
"currency": "AUD",
"rate": 1.404667
},
{
"currency": "CAD",
"rate": 1.36775
},
{
"currency": "EUR",
"rate": 0.846479
},
{
"currency": "GBP",
"rate": 0.73764
},
{
"currency": "INR",
"rate": 90.951346
},
{
"currency": "JPY",
"rate": 156.18988889
},
{
"currency": "USD",
"rate": 1
}
]
}Exchange Rates
Get exchange rates
Get the list of exchange rates for a date and source currency.
GET
/
exchange-rate
Get exchange rates
The exchange rates for the workspace’s currencies.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The date to get the exchange rates for. If not set, the latest available exchange rate date is used.
The currency to return exchange rates for. If not set, the workspace main currency is used.